/// <reference types="react" />
import { TypographyProps } from '../Typography';
export declare const StyledH1: import("styled-components").StyledComponent<"h1", any, {}, never>;
export declare const StyledH2: import("styled-components").StyledComponent<"h2", any, {}, never>;
export declare const StyledH3: import("styled-components").StyledComponent<"h3", any, {}, never>;
/** Small icons align with font and line height */
export declare function getSmallIconBodyTextRules(): import("styled-components").FlattenSimpleInterpolation;
export declare const StyledP: import("styled-components").StyledComponent<"p", any, {}, never>;
export declare const StyledUL: import("styled-components").StyledComponent<"ul", any, {}, never>;
export declare const StyledLabel: import("styled-components").StyledComponent<"span", any, import("../Typography/Typography.styles").StyledTypographyProps & Partial<Pick<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "key" | keyof import("react").HTMLAttributes<HTMLSpanElement>> & {
    ref?: ((instance: HTMLSpanElement | null) => void) | import("react").RefObject<HTMLSpanElement> | null | undefined;
} & TypographyProps> & {
    [others: string]: any;
}, string | number>;
/**
 * An unstyled `button`, browser reset
 */
export declare function getUnstyledButton(): import("styled-components").FlattenSimpleInterpolation;
/**
 * An unstyled `button`, browser reset
 */
export declare const StyledUnstyledButton: import("styled-components").StyledComponent<"button", any, {}, never>;
/**
 * An a styled component a
 */
export declare const StyledAnchor: import("styled-components").StyledComponent<"a", any, {}, never>;
